lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gatehouse/version'

Gem::Specification.new do |spec|
  spec.name          = 'gatehouse'
  spec.version       = Gatehouse::Version::STRING
  spec.authors       = ['Tony Burns']
  spec.email         = %w(tony@tonyburns.net)

  spec.summary       = 'Session-oriented authentication and account management system for Ruby on Rails and PostgreSQL'
  spec.description   = spec.summary
  spec.homepage      = 'https://github.com/tonyhburns/gatehouse'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(bin|config|spec|test_app)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = %w(lib)

  spec.required_ruby_version = '>= 2.1.0'

  spec.add_dependency 'actionpack', '~> 4.2'
  spec.add_dependency 'activemodel', '~> 4.2'
  spec.add_dependency 'activerecord', '~> 4.2'
  spec.add_dependency 'activesupport', '~> 4.2'
  spec.add_dependency 'pg', '~> 0.18'
  spec.add_dependency 'railties', '~> 4.2'
  spec.add_dependency 'warden', '~> 1.2'

  spec.add_development_dependency 'bundler', '~> 1.9'

  spec.cert_chain = %w(tonyhburns.pem)
  spec.signing_key = File.expand_path(ENV['GEM_SIGNING_KEY']) if $PROGRAM_NAME =~ /gem\z/
end
